Documentation Index
Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
Use this file to discover all available pages before exploring further.
POST https://services.leadconnectorhq.com/knowledge-bases/crawler/train
Autorizacion
Bearer token generado desde el portal Leadway. Ver Autenticacion.
Version
string
default:"2021-07-28"
required
Version de la API.
Body
locationId
string
default:"tDtDnQdgm2LXpyiqYvZ6"
required
Account ID as string
List of Object ids of the discovered urls
knowledgeBaseId
string
default:"jjkkxftgvbhjmn,"
required
knowledge base id
operationId
string
default:"688b640bcb02d498102a13f0,"
required
operation id as string
Respuestas
201 - Pages trained successfully
success
boolean
default:"True"
required
Indicates if the operation was successful
message
string
default:"Bad Request"
{
"statusCode": 400,
"message": "Bad Request"
}
message
string
default:"Invalid token: access token is invalid"
error
string
default:"Unauthorized"
{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}
422 - Unprocessable Entity
error
string
default:"Unprocessable Entity"
{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}
500 - Internal Server Error
message
string
default:"Internal Server Error"
{
"statusCode": 500,
"message": "Internal Server Error"
}
Ejemplo
curl -X POST 'https://services.leadconnectorhq.com/knowledge-bases/crawler/train' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"locationId": "tDtDnQdgm2LXpyiqYvZ6",
"urlIds": [
"688b640bcb02d498102a13ec",
"688b640bcb02d498102a13ea"
],
"knowledgeBaseId": "jjkkxftgvbhjmn,",
"operationId": "688b640bcb02d498102a13f0,"
}'